Subject: [tcpm] [Errata Rejected] RFC8312 (5909)

From: RFC Errata System <[email-masked]>
Date: Wed, 4 Mar 2020 03:10:26 -0800 (PST)

The following errata report has been rejected for RFC8312,
"CUBIC for Fast Long-Distance Networks".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5909

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Elliott Ecton <[email-masked]>
Date Reported: 2019-11-14
Rejected by: Mirja Kühlewind (IESG)

Section: 5.1

Original Text
-------------
   +--------+-----------+-----------+------------+-----------+---------+
   |   Loss |   Average |   Average |      CUBIC |     CUBIC |   CUBIC |
   | Rate P |     TCP W |   HSTCP W |   (C=0.04) |   (C=0.4) |   (C=4) |
   +--------+-----------+-----------+------------+-----------+---------+
   |  10^-2 |        12 |        12 |         12 |        12 |      12 |
   |  10^-3 |        38 |        38 |         38 |        38 |      38 |
   |  10^-4 |       120 |       263 |        120 |       120 |     120 |
   |  10^-5 |       379 |      1795 |        379 |       379 |     379 |
   |  10^-6 |      1200 |     12279 |       1200 |      1200 |    1874 |
   |  10^-7 |      3795 |     83981 |       3795 |      5926 |   10538 |
   |  10^-8 |     12000 |    574356 |      18740 |     33325 |   59261 |
   +--------+-----------+-----------+------------+-----------+---------+

                                  Table 2

Corrected Text
--------------
   +--------+-----------+-----------+------------+-----------+---------+
   |   Loss |   Average |   Average |      CUBIC |     CUBIC |   CUBIC |
   | Rate P |     TCP W |   HSTCP W |   (C=0.04) |   (C=0.4) |   (C=4) |
   +--------+-----------+-----------+------------+-----------+---------+
   |  10^-2 |        12 |        12 |          1 |         1 |       2 |
   |  10^-3 |        38 |        38 |          3 |         6 |      11 |
   |  10^-4 |       120 |       263 |         19 |        33 |      59 |
   |  10^-5 |       379 |      1795 |        105 |       187 |     333 |
   |  10^-6 |      1200 |     12279 |        593 |      1054 |    1874 |
   |  10^-7 |      3795 |     83981 |       3332 |      5926 |   10538 |
   |  10^-8 |     12000 |    574356 |      18740 |     33325 |   59261 |
   +--------+-----------+-----------+------------+-----------+---------+

                                  Table 2

Notes
-----
The average window size for the CUBIC columns were mostly incorrect in table 2. Corrected them using expression 6
 --VERIFIER NOTES-- 
See Section 4.2. on how Cubic calculates the congestion window in TCP-Friendly Region.

--------------------------------------
RFC8312 (draft-ietf-tcpm-cubic-07)
--------------------------------------
Title               : CUBIC for Fast Long-Distance Networks
Publication Date    : February 2018
Author(s)           : I. Rhee, L. Xu, S. Ha, A. Zimmermann, L. Eggert, R. Scheffenegger
Category            : INFORMATIONAL
Source              : TCP Maintenance and Minor Extensions
Area                : Transport
Stream              : IETF
Verifying Party     : IESG